package jp.systec.android.RemoteControl;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

import android.util.Log;

public class FileReadWrite {
    // Debugging
    private static final String TAG = "FileReadWrite";
    private static final boolean D = true;
	/*
	   writeFile: バイナリデータの書き込み
	   inFilePath : 記録先(絶対パス)
	   inData: 記録データ
	*/
	public static void writeFile(String inFilePath, byte[] inData) throws IOException{
		// データ書き込み
		// createDirectory(inFilePath);
		File outFile = new File(inFilePath);
		try{
            if(D) Log.d(TAG, "writeFile Operation:");
			FileOutputStream fos = new FileOutputStream(outFile);
			BufferedOutputStream bos = new BufferedOutputStream(fos);
			bos.write(inData);
			bos.flush();
			bos.close();
		}catch(IOException e){
			//
            if(D) Log.d(TAG, "writeFile Error:"+e.toString());
            throw e;
		}

	}
	/*
	   readFile: バイナリデータの読み込み
	   inFilePath : 記録先(絶対パス)
	   戻り値: バイトアレイ
	*/
	public static byte[] readFile(String inFilePath) throws IOException{
		// データ読み込み
		File inFile = new File(inFilePath);
		int size;
		byte[] buf = new byte[1024];
		ByteArrayOutputStream out=null;
		try{
            if(D) Log.d(TAG, "readFile Operation:");
			FileInputStream fis = new FileInputStream(inFile);
			BufferedInputStream bis = new BufferedInputStream(fis);
			out=new ByteArrayOutputStream();
			while (true) {
				size = bis.read(buf);
				if (size<=0) break;
                out.write(buf,0,size);
			}
			out.close();
			bis.close();
		}catch(IOException e){
            if(D) Log.d(TAG, "readFile Error:"+e.toString());
            throw e;
		}
		return out.toByteArray();
	}
	public static boolean createDirectory(String inDir){
		File f = new File(inDir);
		if(!f.exists()){
			// 作成
			f.mkdirs();
		}
		return true;
	}
}
